Bug 995868 - [abrt] gnome-abrt-0.3.0-3.fc19: controller.py:71:_run_event_on_problem:OSError: [Errno 11] Resource temporarily unavailable
Summary: [abrt] gnome-abrt-0.3.0-3.fc19: controller.py:71:_run_event_on_problem:OSErro...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: gnome-abrt
Version: 19
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Jakub Filak
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:e64fd9662b154f0194c9ba794de...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-08-11 16:43 UTC by Mikhail
Modified: 2016-12-01 00:44 UTC (History)
2 users (show)

Fixed In Version: gnome-abrt-0.3.1-1.fc19
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-09-15 00:55:53 UTC
Type: ---


Attachments (Terms of Use)
File: backtrace (904 bytes, text/plain)
2013-08-11 16:43 UTC, Mikhail
no flags Details
File: environ (1.52 KB, text/plain)
2013-08-11 16:43 UTC, Mikhail
no flags Details

Description Mikhail 2013-08-11 16:43:15 UTC
Version-Release number of selected component:
gnome-abrt-0.3.0-3.fc19

Additional info:
reporter:       libreport-2.1.6
cmdline:        python /usr/bin/gnome-abrt -p /var/tmp/abrt/ccpp-2013-08-11-22:38:19-1743
executable:     /usr/bin/gnome-abrt
kernel:         3.10.5-201.fc19.x86_64
runlevel:       N 5
type:           Python
uid:            1000

Truncated backtrace:
controller.py:71:_run_event_on_problem:OSError: [Errno 11] Resource temporarily unavailable

Traceback (most recent call last):
  File "/usr/lib64/python2.7/site-packages/gnome_abrt/views.py", line 114, in wrapper_for_instance_function
    return func(oops_wnd, *args)
  File "/usr/lib64/python2.7/site-packages/gnome_abrt/views.py", line 668, in on_gac_report_activate
    self._controller.report(selected[0])
  File "/usr/lib64/python2.7/site-packages/gnome_abrt/controller.py", line 38, in report
    self.run_event_fn("report-gui", problem)
  File "/usr/lib64/python2.7/site-packages/gnome_abrt/controller.py", line 71, in _run_event_on_problem
    if os.fork() == 0:
OSError: [Errno 11] Resource temporarily unavailable

Local variables in innermost frame:
problem: <gnome_abrt.problems.Problem instance at 0x1a4f098>
event: 'report-gui'
self: <gnome_abrt.controller.Controller object at 0x192f990>

Comment 1 Mikhail 2013-08-11 16:43:19 UTC
Created attachment 785418 [details]
File: backtrace

Comment 2 Mikhail 2013-08-11 16:43:22 UTC
Created attachment 785419 [details]
File: environ

Comment 3 Jakub Filak 2013-08-13 12:13:45 UTC
Fixed in upstream git:

commit a4fc4e6d4aea8ce3811f1cfb366770196bb0ca5a
Author: Jakub Filak <jfilak@redhat.com>
Date:   Tue Aug 13 13:16:28 2013 +0200

    Recover from fork errors
    
    Closes rhbz#995868
    
    Signed-off-by: Jakub Filak <jfilak@redhat.com>
    Signed-off-by: Richard Marko <rmarko@fedoraproject.org>

Comment 4 Fedora Update System 2013-09-13 13:10:51 UTC
gnome-abrt-0.3.1-1.fc19,abrt-2.1.7-1.fc19,libreport-2.1.7-1.fc19,satyr-0.9-1.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/gnome-abrt-0.3.1-1.fc19,abrt-2.1.7-1.fc19,libreport-2.1.7-1.fc19,satyr-0.9-1.fc19

Comment 5 Fedora Update System 2013-09-14 02:40:34 UTC
Package gnome-abrt-0.3.1-1.fc19, abrt-2.1.7-1.fc19, libreport-2.1.7-1.fc19, satyr-0.9-1.fc19:
* should fix your issue,
* was pushed to the Fedora 19 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing gnome-abrt-0.3.1-1.fc19 abrt-2.1.7-1.fc19 libreport-2.1.7-1.fc19 satyr-0.9-1.fc19'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-16707/gnome-abrt-0.3.1-1.fc19,abrt-2.1.7-1.fc19,libreport-2.1.7-1.fc19,satyr-0.9-1.fc19
then log in and leave karma (feedback).

Comment 6 Fedora Update System 2013-09-15 00:55:53 UTC
gnome-abrt-0.3.1-1.fc19, abrt-2.1.7-1.fc19, libreport-2.1.7-1.fc19, satyr-0.9-1.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.